Package net.shibboleth.spring.metadata

# Class MetadataNamespaceHandler

java.lang.Object
net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler
net.shibboleth.spring.metadata.MetadataNamespaceHandler

All Implemented Interfaces:
  `NamespaceHandler`

public class MetadataNamespaceHandler extends BaseSpringNamespaceHandler
Namespace handler for `urn:mace:shibboleth:2.0:metadata`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`METADATA_ELEMENT_NAME`
Metadata provider element name.
`static final QName`
`METADATA_NODE_PROC_ELEMENT_NAME`
Metadata node processor Element name.

### Fields inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`DEFAULT_SECONDARY_HANDLER_BASE_LOCATION`

## Constructor Summary

Constructors
Constructor
Description
`MetadataNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`

### Methods inherited from class net.shibboleth.shared.spring.custom.BaseSpringNamespaceHandler

`decorate, doInit, findParserForElement, parse, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### METADATA_ELEMENT_NAME

@Nonnull public static final QName METADATA_ELEMENT_NAME
Metadata provider element name.

### METADATA_NODE_PROC_ELEMENT_NAME

@Nonnull public static final QName METADATA_NODE_PROC_ELEMENT_NAME
Metadata node processor Element name.

## Constructor Details

### MetadataNamespaceHandler

public MetadataNamespaceHandler()

## Method Details

### init

public void init()

Specified by:
  `init` in interface `NamespaceHandler`
Overrides:
  `init` in class `BaseSpringNamespaceHandler`